Package org.eclipse.net4j.util.collection

# Class Entity.SingleNamespaceComputer

java.lang.Object
org.eclipse.net4j.util.collection.Entity.SingleNamespace
org.eclipse.net4j.util.collection.Entity.SingleNamespaceComputer

All Implemented Interfaces:
  `Entity.Store`

Enclosing class:
  Entity

public abstract static class Entity.SingleNamespaceComputer extends Entity.SingleNamespace

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.collection.Entity.Store

`Entity.Store.Provider`

## Constructor Summary

Constructors
Constructor
Description
`SingleNamespaceComputer(String namespace)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract Entity`
`computeEntity(String name)`
`protected abstract Collection<String>`
`computeNames()`
`final Stream<Entity>`
`entities()`
`final Entity`
`entity(String namespace, String name)`
`final Stream<String>`
`names(String namespace)`

### Methods inherited from class org.eclipse.net4j.util.collection.Entity.SingleNamespace

`entities, entityBuilder, entityBuilder, names, namespace, namespace, namespaces, store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.collection.Entity.Store

`entity`

## Constructor Details

### SingleNamespaceComputer

public SingleNamespaceComputer(String namespace)

## Method Details

### names

public final Stream<String> names(String namespace)

### entities

public final Stream<Entity> entities()

### entity

public final Entity entity(String namespace, String name)

### computeNames

protected abstract Collection<String> computeNames()

### computeEntity

protected abstract Entity computeEntity(String name)